#!/usr/bin/env bash

USER="${1}"
LIVES_USER="/home/${USER}/msinstance/conf/lives.json"
LIVES_DEFAULT="/usr/lib/python3/dist-packages/mediaserver/services/configuration/lives.json"

for live in ${LIVES_USER} ${LIVES_DEFAULT}; do
    if grep -q '"STREAMS"' ${live} 2>/dev/null; then
        sed -nE '/"STREAMS"/,/],/p' ${live}
        break
    fi
done

exit 0
